from launchpadlib.launchpad import Launchpad, STAGING_SERVICE_ROOT, EDGE_SERVICE_ROOT
import settings

def lp_init(credentials_file):
    if (settings.LPAPI_STAGING):
        service_root = STAGING_SERVICE_ROOT
    else:
        service_root = EDGE_SERVICE_ROOT

    return Launchpad.login_with(
        settings.LPAPI_CONSUMER_NAME,
        service_root,
        settings.LPAPI_CACHE_DIR,
        credentials_file="%s%s" % (settings.LPAPI_CREDS_DIR, credentials_file))

def get_sp_for_bug(bug):
    for tag in bug.tags:
        if tag.startswith('sp-'):
            try:
                return float(tag[3:])
            except:
                next
    return float(settings.DEFAULT_BUG_SP)
