from django.core.management.base import BaseCommand, CommandError
from kanban.models import Project
from kanban.lib import lp_init, get_sp_for_bug
import settings

class Command(BaseCommand):
    help = "Populates the database with a project's milestones"

    def handle(self, *args, **options):
        self.lp = lp_init('default')
        for project in Project.objects.all():
            self.populate_project(project)

    def populate_project(self, project):
        print 'Populating project: %s' % project.name
        for milestone in project.milestones:
            self.populate_project_milestone(project, milestone)
        print ""

    def populate_project_milestone(self, project, milestone):
        print 'Populating milestone: %s' % milestone.name
        milestone.bugs.delete()
        all_bugs = self.get_all_bugs_for_project_milestone(project, milestone)
        for bug in all_bugs:
            milestone.add_bug(bug)

    def get_all_bugs_for_project_milestone(self, project, milestone):
        p = self.lp.projects[project.name]
        all_milestones = p.active_milestones
        for m in all_milestones:
            if m.name == milestone.name:
                return m.searchTasks()
        return []
