from django.contrib.auth.decorators import login_required
from django.http import HttpResponseRedirect
from django.template import RequestContext
from django.shortcuts import get_object_or_404, render_to_response
from kanban.lib import lp_init
from kanban.models import Project, Milestone
import settings

def index(request):
    return render_to_response('templates/index.html',
        context_instance=RequestContext(request, {
            'projects': Project.objects.all(),
    }))


@login_required
def display_kanban(request, project_name):
    project = get_object_or_404(Project, name=project_name)
    return render_to_response('templates/kanban.html',
        context_instance=RequestContext(request, {
            'project': project,
            'milestones': Milestone.objects.all(),
            'lp_base_url': settings.LP_BASE_URL,
    }))

@login_required
def populate_milestone(request, project_name, milestone_name):
    milestone = get_object_or_404(Milestone, name=milestone_name)
    milestone.auto_populate()
    return HttpResponseRedirect('../../')
