import django

from configglue.pyschema import ConfigSection
from configglue.pyschema.options import (BoolConfigOption, StringConfigOption,
    LinesConfigOption, IntConfigOption, DictConfigOption)
from django_configglue.schema import schemas


DjangoSchema = schemas.get("1.1.2")


class KanbanSchema(DjangoSchema):
    """Config options specific to the software center agent."""
    # default section
    extra_pythonpath = LinesConfigOption(item=StringConfigOption())
    pgconnect_timeout = IntConfigOption(default=10)
    web_themes_root = StringConfigOption()

    lpapi = ConfigSection()
    lpapi.lpapi_cache_dir = StringConfigOption()
    lpapi.lpapi_creds_dir = StringConfigOption()
    lpapi.lpapi_consumer_name = StringConfigOption()
    lpapi.lpapi_staging = BoolConfigOption()

    kanban = ConfigSection()
    kanban.default_bug_sp = StringConfigOption()
    kanban.lp_base_url = StringConfigOption()

    openid = ConfigSection()
    openid.openid_sso_server_url = StringConfigOption()
    openid.openid_create_users = BoolConfigOption()
    openid.openid_update_details_from_sreg = BoolConfigOption()
    openid.multilang_op_endpoints = BoolConfigOption()
    openid.openid_launchpad_teams_mapping = DictConfigOption()
