from __future__ import absolute_import

import os.path

from configglue.pyschema import SchemaConfigParser
from django_configglue.utils import update_settings

from schema import KanbanSchema


# get absolute path for config files
current_dir = os.path.dirname(os.path.abspath(__file__))
config_files = map(lambda x: os.path.join(current_dir, x),
                   ['config/main.cfg', 'config/local.cfg', '../local.cfg'])

# parse config files
parser = SchemaConfigParser(KanbanSchema())
parser.read(config_files)
update_settings(parser, locals())

# keep parser reference
__CONFIGGLUE_PARSER__ = parser
